NAME

OpenAPI::Client::OpenAI::Path::realtime-calls-call_id-reject - Documentation for the /realtime/calls/{call_id}/reject path.

OPERATIONS

POST /realtime/calls/{call_id}/reject

reject-realtime-call

$client->reject_realtime_call({
    body => { ... },
});

Decline an incoming SIP call by returning a SIP status code to the caller.

Path/query parameters

  • call_id (in path, required, string) - The identifier for the call provided in the realtime.call.incoming webhook.

Responses

200 - Call rejected successfully.

SCHEMAS

RealtimeCallRejectRequest

Properties:

  • status_code (integer) - SIP response code to send back to the caller. Defaults to 603 (Decline) when omitted.

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.